org.apache.hadoop.yarn.api.records

## Enum YarnApplicationState

- java.lang.Object
- - java.lang.Enum<YarnApplicationState>
  - - org.apache.hadoop.yarn.api.records.YarnApplicationState

- All Implemented Interfaces:
    Serializable, Comparable<YarnApplicationState>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public enum YarnApplicationState
      extends Enum<YarnApplicationState>

  Enumeration of various states of an `ApplicationMaster`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPTED` Application has been accepted by the scheduler
    `FAILED` Application which failed.
    `FINISHED` Application which finished successfully.
    `KILLED` Application which was terminated by a user or admin.
    `NEW` Application which was just created.
    `NEW_SAVING` Application which is being saved.
    `RUNNING` Application which is currently running.
    `SUBMITTED` Application which has been submitted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static YarnApplicationState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static YarnApplicationState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final YarnApplicationState NEW

      Application which was just created.

    - #### NEW_SAVING

          public static final YarnApplicationState NEW_SAVING

      Application which is being saved.

    - #### SUBMITTED

          public static final YarnApplicationState SUBMITTED

      Application which has been submitted.

    - #### ACCEPTED

          public static final YarnApplicationState ACCEPTED

      Application has been accepted by the scheduler

    - #### RUNNING

          public static final YarnApplicationState RUNNING

      Application which is currently running.

    - #### FINISHED

          public static final YarnApplicationState FINISHED

      Application which finished successfully.

    - #### FAILED

          public static final YarnApplicationState FAILED

      Application which failed.

    - #### KILLED

          public static final YarnApplicationState KILLED

      Application which was terminated by a user or admin.

  - ### Method Detail

    - #### values

          public static YarnApplicationState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (YarnApplicationState c : YarnApplicationState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static YarnApplicationState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.